# -*- coding: utf-8 -*-
db.define_table('t_ecoValues',
    Field('f_opex_total', type='float',
          label=T('Total Sum of Opex'), comment=""),
    Field('f_opex_per_product', type='float',
          label=T('Opex per Product'), comment=""),
    Field('f_cashflow_yearly', type='float',
          label=T('Yearly Cashflow'), comment=""),
    Field('f_investment', type='float',
          label=T('Investment for the Application'), comment=""),
    Field('f_capnet', type='float',
          label=T('Capex Network the Application'), comment=""),
    Field('f_capapp', type='float',
          label=T('Capex Application'), comment=""),
    Field('f_revenues', type='float',
          label=T('Revenues Total'), comment=""),
    Field('f_npv_lifetime', type='float',
          label=T('NPV After Application Lifetime'), comment=""),
    Field('f_roi_lifetime', type='float',
          label=T('RoI After Application Lifetime'), comment=""),
    Field('f_payback_period', type='float',
          label=T('Payback Period'), comment=""),
    Field('f_total_profit', type='float',
          label=T('Total Profit'), comment=""),
    format='%(id)s',
    migrate=settings.migrate)
############################################

db.define_table('t_investmentdata',
    Field('f_lifetime', type='integer',
          label=T('Application Lifetime'), comment="y"),
    Field('f_interest', type='integer',
          label=T('Interest Rate'), comment=" %"),
    Field('f_sensors_num', type='float',
          label=T('Number of Sensors'), comment="n°"),
    Field('f_sensors_cost', type='float',
          label=T('Cost of Sensors'), comment="€"),
    Field('f_actuator_num', type='float',
          label=T('Number of Actuator'), comment="n°"),
    Field('f_actuator_cost', type='float',
          label=T('Cost of Actuator'), comment="€"),
    Field('f_controller_num', type='float',
          label=T('Number of Controller'), comment="n°"),
    Field('f_controller_cost', type='float',
          label=T('Cost of Controller'), comment="€"),
    Field('f_basestation_num', type='float',
          label=T('Number of Base Stations'), comment="n°"),
    Field('f_basestation_cost', type='float',
          label=T('Cost of Base Station'), comment="€"),
    Field('f_core_num', type='float',
          label=T('Number of Core'), comment="n°"),
    Field('f_core_cost', type='float',
          label=T('Cost of Core'), comment="€"),
    Field('f_userequipment_num', type='float',
          label=T('Number of User equipment'), comment="n°"),
    Field('f_userequipment_cost', type='float',
          label=T('Cost of User equipment'), comment="€"),
    Field('f_controlnet_num', type='float',
          label=T('Number of Control networks'), comment="n°"),
    Field('f_controlnet_cost', type='float',
          label=T('Cost of Control network'), comment="€"),
    Field('f_datanet_num', type='float',
          label=T('Number of Data network'), comment="n°"),
    Field('f_datanet_cost', type='float',
          label=T('Cost of Data network'), comment="€"),
    Field('f_userplane_num', type='float',
          label=T('Number of Userplanes'), comment="n°"),
    Field('f_userplane_cost', type='float',
          label=T('Cost of Userplane'), comment="€"),
    format='%(id)s',
    migrate=settings.migrate)
############################################
